package com.winhc.phoenix.example.controller;

import com.winhc.phoenix.example.service.CompanyDynamicService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author: XuJiakai
 * 2021/8/13 09:29
 */
@Api(tags = "企业动态", value = "CompanyDynamicController")
@RestController
@AllArgsConstructor
@RequestMapping("dynamic")
public class CompanyDynamicController {
    private final CompanyDynamicService companyDynamicService;

    @GetMapping("debug")
    public Object debug(String code, @RequestParam(defaultValue = "0") Integer from, @RequestParam(defaultValue = "10") Integer size) {
        return companyDynamicService.debug(code,from,size);
    }
}
