package com.winhc.phoenix.example.service;

import com.winhc.phoenix.example.vo.HbaseQueryParamVo;

import java.util.List;

/**
 * @Author: XuJiakai
 * @Date: 2020/9/16 18:55
 * @Description:
 */
public interface HbaseQueryService {
    List<Object> scan(String tableName, String rowPrefix, Long size);

    Object get(String tableName, String rowkey);

    void asyncScan(String tableName, String rowPrefix);

    Object humanBulkGet(String[] rowkey);

    Object fastGetHbase(String tableName, HbaseQueryParamVo hbaseQueryParamVo);
}
