package com.winhc.phoenix.example;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.winhc.phoenix.example.mapper.TestMapper;
import com.winhc.phoenix.example.service.HbaseQueryService;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;

import java.util.List;
import java.util.Map;

@Slf4j
@SpringBootTest
class PhoenixExampleApplicationTests {
    @Autowired
    JdbcTemplate jdbcTemplate;
    @Autowired
    TestMapper testMapper;

    @Autowired
    HbaseQueryService hbaseQueryService;
    private static final ObjectMapper objectMapper = new ObjectMapper()
            .configure(DeserializationFeature.ACCEPT_SINGLE_VALUE_AS_ARRAY, true);


    private List<Map<String, Object>> getPage(int limit,int offset) {
        String sql = "SELECT\n" +
                "COMPANY_ZXR_RESTRICT.ROWKEY,\n" +
                "COMPANY_ZXR_RESTRICT.CID,\n" +
                "COMPANY_ZXR_RESTRICT.CASE_CREATE_TIME,\n" +
                "COMPANY_ZXR_RESTRICT.CASE_NO\n" +
                "FROM COMPANY_ZXR_RESTRICT\n" +
                "WHERE COMPANY_ZXR_RESTRICT.CID = '2330205447'\n" +
                "AND COMPANY_ZXR_RESTRICT.STATUS = '0'\n" +
                "AND COMPANY_ZXR_RESTRICT.DELETED = '0'\n" +
                "ORDER BY COMPANY_ZXR_RESTRICT.CASE_CREATE_TIME DESC\n" +
                ", COMPANY_ZXR_RESTRICT.rowkey asc\n" +
                "LIMIT "+limit+" OFFSET "+offset;
        List<Map<String, Object>> maps = jdbcTemplate.queryForList(sql);
        return maps;
    }



    @SneakyThrows
    @Test
    void contextLoads() {
//        hbaseQueryService.asyncScan("COMPANY_EMPLOYMENT", "194650063");



       /* log.info("start1...");
        String sql = "select * from SYSTEM.CATALOG where COLUMN_NAME is null  and TABLE_TYPE = 'u'";

        List<String> query1 = jdbcTemplate.query(sql, new RowMapper<String>() {
            @Override
            public String mapRow(ResultSet rs, int rowNum) throws SQLException {
                return rs.getString(1);
            }
        });
        System.out.println(query1);*/

       /* String sql = "SELECT\n" +
                "COMPANY_ZXR_RESTRICT.ROWKEY,\n" +
                "COMPANY_ZXR_RESTRICT.CID,\n" +
                "COMPANY_ZXR_RESTRICT.CASE_NO\n" +
                "FROM COMPANY_ZXR_RESTRICT\n" +
                "WHERE COMPANY_ZXR_RESTRICT.CID = '2330205447'\n" +
                "AND COMPANY_ZXR_RESTRICT.STATUS = '0'\n" +
                "AND COMPANY_ZXR_RESTRICT.DELETED = '0'\n" +
                "ORDER BY COMPANY_ZXR_RESTRICT.CASE_CREATE_TIME DESC\n" +
                "LIMIT 10 OFFSET 10";
        List<Map<String, Object>> maps = jdbcTemplate.queryForList(sql);
        log.info(objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(maps));*/

//        List<Map<String, Object>> page = getPage(5, 0);
//        List<Map<String, Object>> page1 = getPage(5, 5);
//
//        log.info(objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(page));
//        log.info(objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(page1));
        String sql = "select * from ";
        List<Map<String, Object>> maps = jdbcTemplate.queryForList(sql);
        log.info(objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(maps));

    /*    List<String> query = jdbcTemplate.query("select  rowkey,cid,name" +
                "        from COMPANY_JUDICIAL_ASSISTANCE_LIST\n" +
                "         \n" +
                "             WHERE (  cid = '52512141') \n" +
                "         \n" +
                "        limit 10", (resultSet, i) -> resultSet.getString(1));
        log.info("end1..");
        System.out.println(query);*/





       /* log.info("start...");
        PageHelper.startPage(1, 2);
        List<TestBean> testBeans = testMapper.selectByExample(TestBean.builder().cid("1093053795").build());
        log.info("end...");
        testBeans.forEach(System.out::println);*/
    }

}
